- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DCore (Deprecated)
- QNodeId
- Qt 6.8.3 Reference Documentation

# QNodeId Class

class Qt3DCore::QNodeId

Uniquely identifies a QNode. More...

Header: | `#include <Qt3DCore/QNodeId>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3DCore)` `target_link_libraries(mytarget PRIVATE Qt6::3DCore)`
qmake: | `QT += 3dcore`
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

quint64 | id() const
bool | isNull() const
bool | operator bool() const
bool | operator!=(Qt3DCore::QNodeId other) const
bool | operator<(Qt3DCore::QNodeId other) const
bool | operator==(Qt3DCore::QNodeId other) const
bool | operator>(Qt3DCore::QNodeId other) const

## Static Public Members

Qt3DCore::QNodeId | createId()

## Related Non-Members

| QNodeIdVector
size_t | qHash(Qt3DCore::QNodeId id, size_t seed = 0)

## Detailed Description

## Member Function Documentation

### `[static noexcept]` Qt3DCore::QNodeId QNodeId::createId()

Returns node id.

### `[constexpr noexcept]` quint64 QNodeId::id() const

Returns

### `[constexpr noexcept]` bool QNodeId::isNull() const

Returns

### `[constexpr noexcept]` bool QNodeId::operator bool() const

Returns

### `[constexpr noexcept]` bool QNodeId::operator!=(Qt3DCore::QNodeId other) const

Returns `true` if `this` != other.

### `[constexpr noexcept]` bool QNodeId::operator<(Qt3DCore::QNodeId other) const

Returns `true` if `this` < other.

### `[constexpr noexcept]` bool QNodeId::operator==(Qt3DCore::QNodeId other) const

Returns `true` if `this` == other.

### `[constexpr noexcept]` bool QNodeId::operator>(Qt3DCore::QNodeId other) const

Returns `true` if `this` > other.

## Related Non-Members

### `[alias]` QNodeIdVector

A vector of QNodeIds.

### `[constexpr noexcept]` size_t qHash(Qt3DCore::QNodeId id, size_t seed = 0)

Returns hash of node with id and optional seed.